Bug 1788650 - LoadBalancer security groups not found on OSP16 deployments
Summary: LoadBalancer security groups not found on OSP16 deployments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks: 1790339
TreeView+ depends on / blocked
 
Reported: 2020-01-07 17:14 UTC by Luis Tomas Bolivar
Modified: 2020-05-04 11:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1790339 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 137 None closed Bug 1788650: Add support to Octavia ACLs 2020-04-27 08:44:25 UTC
Github openshift kuryr-kubernetes pull 145 None closed Bug 1788650: Ensure lb SG is not updated on member creation 2020-04-27 08:44:25 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:23:40 UTC

Comment 4 Jon Uriarte 2020-01-27 14:53:50 UTC
Verified in 4.4.0-0.nightly-2020-01-24-141203 build on top of OSP 16 RHOS_TRUNK-16.0-RHEL-8-20191224.n.0 puddle.

The OCP installer finishes successfully:

 $ oc get clusterversion
 NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
 version   4.4.0-0.nightly-2020-01-24-141203   True        False         8m21s   Cluster version is 4.4.0-0.nightly-2020-01-24-141203

After running upstream K8s Network Policy test "should enforce policy based on PodSelector with MatchExpressions[Feature:NetworkPolicy-04]", which creates NPs
the next error wasn't shown in Kuryr controller pod:
  neutronclient.common.exceptions.NotFound: Security group * does not exist

Comment 6 errata-xmlrpc 2020-05-04 11:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.